Debian Bug report logs - #396238
RM: db2latex-xsl -- RoQA; RC-buggy, abandoned upstream, replacement exists

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Frank Küster <frank@debian.org>

Date: Mon, 30 Oct 2006 18:33:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Küster <frank@debian.org>, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#396238; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
New Bug report received and forwarded. Copy sent to Frank Küster <frank@debian.org>, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: Please remove db2latex-xsl
Date: Mon, 30 Oct 2006 19:12:15 +0100
Package: ftp.debian.org
Severity: serious

Dear ftp masters,

please remove the db2latex-xsl package.  This is not a RoM, but there
doesn't seem to be any active maintainer or anyone who is interested in
the package; the Maintainer field of the package lists a mailing list,
Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>.
At least I'm the last uploader, 10 months ago.

The reasons for the removal have mainly been outlined in 

http://lists.debian.org/debian-release/2006/10/msg00539.html

there is also some more information in the bug in the Cc, #327616.  In
short:  It is RC-buggy with a DFSG violation, it is dead upstream,
there's a nearly drop-in replacement, dblatex.

Meanwhile, cdbs - which was the only package that used it - has been
changed to use dblatex instead.  Consequently, no package depends on it
in unstable (and cdbs has been hinted to enter testing, see
http://lists.debian.org/debian-release/2006/10/msg00631.html).  

The involved release managers also agree with the removal, see
e.g. http://lists.debian.org/debian-release/2006/10/msg00632.html 

Regards, Frank

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (99, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.17-2-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `serious' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frank Küster <frank@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 396238-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 396238-close@bugs.debian.org
Cc: db2latex-xsl@packages.debian.org, db2latex-xsl@packages.qa.debian.org
Subject: Bug#396238: fixed
Date: Mon, 25 Dec 2006 00:29:14 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

db2latex-xsl | 0.8pre1-6.1 | source, all
db2latex-xsl-doc | 0.8pre1-6.1 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 396238@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 02:06:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:57:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.